// Задача "Прямоугольный полигон"
// Шестая индивидуальная Интернет-олимпиада сезона 2009-2010.
// Автор задачи: Федор Царев, tsarev@rain.ifmo.ru
// Автор решения: Антон Ахи, akhi@rain.ifmo.ru

{$APPTYPE CONSOLE}
uses
  SysUtils;
var
  s, p, i, d, sqrtd : longint;

Begin
  Reset(Input, 'rect.in');
  Rewrite(Output, 'rect.out');
  read(s, p);
  if (p mod 2 <> 0) then begin
    writeln(-1);
    close(input);
    close(output);
    halt(0);
  end;
  p := p div 2;
  d := p * p - 4 * s;
  if (d < 0) then
    writeln('-1')
  else begin
    sqrtd := round(sqrt(d));
    if (sqrtd * sqrtd = d) then
      writeln((p + sqrtd) div 2, ' ', (p - sqrtd) div 2)
    else
      writeln('-1');
  end;
  Close(Input);
  Close(Output);
End.
